# -*- coding: utf-8 -*-
import os.path

from setuptools import setup


def requirements(path):
    assert os.path.exists(path), "Missing requirements {}.format(path)"
    with open(path) as f:
        return list(map(str.strip, f.read().splitlines()))


install_requires = requirements("requirements.txt")

setup(
    name="Nerval",
    version=0.1,
    description="Tool to evaluate NER on noisy text.",
    author="Teklia",
    author_email="contact@teklia.com",
    packages=["nerval"],
    entry_points={"console_scripts": ["nerval=nerval.evaluate:main"]},
    install_requires=install_requires,
)
